Bug 5503 - Paper indexing issues
Paper indexing issues
Status: RESOLVED FIXED
Product: OCS
Classification: Unclassified
Component: General
2.3.4
PC Mac OS X 10.4
: P5 normal
Assigned To: Alec Smecher
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-15 12:17 PDT by James MacGregor
Modified: 2011-08-11 11:20 PDT (History)
2 users (show)

See Also:
Version Reported In: 2.3.2
Also Affects:


Attachments
Patch against OCS 2.3.1 / 2.3.2 (944 bytes, patch)
2010-06-18 14:36 PDT, Alec Smecher
Details | Diff
Patch against OCS 2.3.3-1 (844 bytes, patch)
2010-12-06 15:41 PST, Alec Smecher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James MacGregor 2010-06-15 12:17:11 PDT
I'm coming across a number of strange indexing issues as part of investigating http://pkp.sfu.ca/support/forum/viewtopic.php?f=3&t=6258&p=23988#p23988: 

Any paper that has been published and then subsequently removed from publication and archived/deleted should not be returned via search result, without necessarily manually rebuilding the search index or clearing the data cache (neither of which tasks the Director can do).

I have published and subsequently removed and archived a paper. While searching from the scheduled conference pages (ie. from http://git/ocs/index.php/schedConf/index/search/), the paper isn't returned. But when searching from the site index (ie. http://git/ocs/index.php/index/index/search/) the archived paper is returned as a result. Clicking on the paper abstract link takes me to the scheduled conference home page. 

Oddly, if I clear the data caches, the paper is still returned from the site index search, *and now* also from the scheduled conference search. 

Running tools/rebuildSearchIndex.php doesn't remove the item from either search. 

I haven't tested OJS at all, but I don't mind doing so. Any further suggestions for testing appreciated.
Comment 1 James MacGregor 2010-06-18 14:03:06 PDT
François has detailed a fix on the forum: http://pkp.sfu.ca/support/forum/viewtopic.php?f=3&t=6258&p=24021#p24021. I haven't tested it (over my head) but possibly a good place to start.
Comment 2 Alec Smecher 2010-06-18 14:36:12 PDT
Created attachment 3112 [details]
Patch against OCS 2.3.1 / 2.3.2

Yes, that fix is correct. Here's an equivalent patch for OCS 2.3.2.
Comment 3 Alec Smecher 2010-12-06 15:41:43 PST
Created attachment 3384 [details]
Patch against OCS 2.3.3-1

You might have luck with this attachment against 2.3.1 and 2.3.2, rather than attachment #3112 [details] -- whichever one of these applies cleanly should be fine.
Comment 4 Michael Felczak 2011-08-11 11:20:02 PDT
Paper indexing issues
https://github.com/pkp/ocs/commit/a84b80bf3ba1b256df4e6ed5f5fc10a453aa867c